Bug 420261

Summary: Wish: Option to launch items with single click in List mode
Product: [Plasma] plasmashell Reporter: edkde <edkde>
Component: FolderAssignee: Eike Hein <hein>
Status: RESOLVED INTENTIONAL    
Severity: wishlist CC: nate, plasma-bugs
Priority: NOR    
Version: master   
Target Milestone: 1.0   
Platform: Other   
OS: Linux   
Latest Commit: Version Fixed In:

Description edkde 2020-04-18 17:11:19 UTC
Hello, I use the Folder View plasmoid in the KDE panel as a menu: When I click on the plasmoid icon, the menu is openned with all the .sh files in a folder as menu items. To get this, I have configured "Icons > View mode > List" in the plasmoid preferences. The big difference with other menus is that it requires double click to launch the items.

I know that the plasmoid follows the system settings for the preference of double/single click to launch items, thus if I set double click in Dolphin then I will get double click in the plasmoid. But I really would love to keep double click in Dolphin and get single click in the plasmoid, like in other menus. And probably many users would love it too.

But other users wouldn't like it. Thus, to make everyone happy, I'm proposing to add an option to the List mode ("Icons > View mode > List"), for example:

    [x] Single click to launch items (ignore system settings)

The option could be unchecked by default, to keep current behabior.

Thank you for this great plasmoid
Comment 1 Nate Graham 2020-04-20 19:17:33 UTC
Do you think you could explain why you want single-click here but not for other file views?
Comment 2 edkde 2020-04-24 16:24:24 UTC
Yes, it's simple. When the Folder View plasmoid is put on the taskbar (KDE panel) and is configured in List mode, it looks like a menu: When you click on the plasmoid, a popup list of menu items is shown and you can choose one of them to be launched. It is similar to the KDE start menu, where a popup list of menu items is shown and you can single click on one of them to be launched.

In few words: It has the aspect of a menu, and the structure of a menu, but not the behaviour of a menu. I think many of us would love it to behave like a menu, by adding the option to enable single click.
Comment 3 Nate Graham 2020-04-24 16:35:53 UTC
Well, kind of. It may look like a menu in some ways, but in other ways it's not: unlike a menu, you can drag-and-drop items into out of it, you can right-click on items to show an *actual* menu, and so on.

I get the desire though. macOS behaves like this when you put a folder in the Dock; the pop-up that appears activates items on single-click only, despite macOS otherwise having double-click-only file views.

I guess we can leave it up the Folder View devs.
Comment 4 Bug Janitor Service 2023-04-09 21:55:24 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/plasma-desktop/-/merge_requests/1467
Comment 5 Nate Graham 2023-04-13 04:06:25 UTC
Git commit d5abf12d6661f2a8f8449d9abe88468114a73dca by Nate Graham.
Committed on 13/04/2023 at 04:02.
Pushed by ngraham into branch 'master'.

Folder View: with menu representation, always open with a single click

The single-click/double click setting applies to file and folder views.
Folder View is definitely a file and folder view. However, when Folder
view is in its list/menu representation, it's not *presenting* as a file
or folder view, it's presenting as a menu. And menus always trigger
their items with a single click.

We already do a similar thing by always activating with a single
touchscreen tap, bypassing the user's single/double-click preference. So
there's precedent for having a hardcoded behavior to support certain UX
paradigms.

Hence, in list/menu mode, don't respect the user's setting for
single/double click and always activate items with a single click.
FIXED-IN: 6.0

M  +2    -1    containments/desktop/package/contents/ui/FolderItemDelegate.qml
M  +3    -3    containments/desktop/package/contents/ui/FolderView.qml

https://invent.kde.org/plasma/plasma-desktop/commit/d5abf12d6661f2a8f8449d9abe88468114a73dca
Comment 6 Bug Janitor Service 2024-06-18 18:21:53 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/plasma-desktop/-/merge_requests/2320
Comment 7 Nate Graham 2024-06-21 16:52:44 UTC
Git commit b7c80c6419b4eb3ae4b1024acf88da13d92e6b29 by Nate Graham.
Committed on 21/06/2024 at 16:45.
Pushed by ngraham into branch 'master'.

Revert "Folder View: with menu representation, always open with a single click"

This reverts commit d5abf12d6661f2a8f8449d9abe88468114a73dca.

The change to always open items in single-click when using list mode
was added by me in
https://invent.kde.org/plasma/plasma-desktop/-/merge_requests/1467 with
two +1s and no discussion. But in retrospect, I think it was not the
right change; the list-view popup may look like a menu and kind of acts
like a menu, but it's not a menu--it's a file view in list mode. We
don't force single-click for other such views in Dolphin, file dialogs,
Kate, or other place where there are file views.
Related: bug 484026
FIXED-IN: 6.2

M  +1    -2    containments/desktop/package/contents/ui/FolderItemDelegate.qml
M  +3    -2    containments/desktop/package/contents/ui/FolderView.qml

https://invent.kde.org/plasma/plasma-desktop/-/commit/b7c80c6419b4eb3ae4b1024acf88da13d92e6b29
Comment 8 Nate Graham 2024-06-22 00:25:39 UTC
This got reverted for 6.2, sorry.